package com.yihu.jw.entity.base.dict;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;
import org.springframework.beans.factory.annotation.Autowired;

import javax.persistence.*;
import java.util.Date;


/**
 * 医院科室字典实体
 * 
 * @author Administrator on  2018年09月05日
 *
 */
@Entity
@Table(name = "dict_hospital_dept")
@SequenceGenerator(name="id_generated", sequenceName="DICT_HOSPITAL_DEPT_SEQ")
public class DictHospitalDeptDO extends IntegerIdentityEntity {

    /**
	 * 机构code，每个机构的科室不完全一样
	 */
	private String orgCode;
    /**
     * 机构名称
     */
    private String orgName;

    /**
	 * 科室标识
	 */
	private String code;

    /**
	 * 科室名称
	 */
	private String name;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date createTime;

    /**
     * 6总部7金榜8夏禾
     */
    private String deptTypeCode;

    /**
     * 父类科室编码
     */
    private String fatherDeptCode;
    /**
     * 父类科室名称
     */
    @Transient
    private String fatherDeptName;

    /**
     * 科室类型
     */
    private String deptType;
    /**
     * 科室位置
     */
    private String deptPosition;

    /**
     * 是否会诊科室
     */
    private String consultDeptFlag;
    /**
     * 科室logo
     */
    private String deptLogo;
    /**
     * 科室图片
     */
    private String deptImg;
    /**
     * 科室描述
     */
    private String deptDescription;
    /**
     * 科室通用名
     */
    private String usualName;
    @Column(name = "usual_name")
    public String getUsualName() {
        return usualName;
    }

    public void setUsualName(String usualName) {
        this.usualName = usualName;
    }
    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "dept_logo")
    public String getDeptLogo() {
        return deptLogo;
    }

    public void setDeptLogo(String deptLogo) {
        this.deptLogo = deptLogo;
    }
    @Column(name = "dept_img")
    public String getDeptImg() {
        return deptImg;
    }

    public void setDeptImg(String deptImg) {
        this.deptImg = deptImg;
    }
    @Column(name = "dept_description")
    public String getDeptDescription() {
        return deptDescription;
    }

    public void setDeptDescription(String deptDescription) {
        this.deptDescription = deptDescription;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

	@Column(name = "code")
    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }

	@Column(name = "name")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

	@Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "dept_type_code")
    public String getDeptTypeCode() {
        return deptTypeCode;
    }

    public void setDeptTypeCode(String deptTypeCode) {
        this.deptTypeCode = deptTypeCode;
    }

    public String getFatherDeptCode() {
        return fatherDeptCode;
    }

    public void setFatherDeptCode(String fatherDeptCode) {
        this.fatherDeptCode = fatherDeptCode;
    }

    public String getFatherDeptName() {
        return fatherDeptName;
    }

    public void setFatherDeptName(String fatherDeptName) {
        this.fatherDeptName = fatherDeptName;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getDeptPosition() {
        return deptPosition;
    }

    public void setDeptPosition(String deptPosition) {
        this.deptPosition = deptPosition;
    }

    public String getConsultDeptFlag() {
        return consultDeptFlag;
    }

    public void setConsultDeptFlag(String consultDeptFlag) {
        this.consultDeptFlag = consultDeptFlag;
    }
}